////////////////////////////////////////////////////////////////////////////////
//	Filename :		Error.h
//	Description :	Error handling (reporting).
////////////////////////////////////////////////////////////////////////////////
#ifndef		__ERROR_H__
#define		__ERROR_H__


////////////////////////////////////////////////////////////////////////////////
//	Included headers
////////////////////////////////////////////////////////////////////////////////
#include	<windows.h>
#include	<windowsx.h>


#include	<stdio.h>


////////////////////////////////////////////////////////////////////////////////
//	Defenitions
////////////////////////////////////////////////////////////////////////////////
#define ERROR_REGISTER_CLASS 1  


////////////////////////////////////////////////////////////////////////////////
//	Classes
////////////////////////////////////////////////////////////////////////////////
class CError

{

public:

	FILE		*fErrorLog;		// pointer to file logging  the  errors
	bool		bQuit;			// boolean holding the  information for program 
								// exit or not
	LPSTR		lpzMessage;		// pointer to a string  containing error message

	CError (LPSTR, bool);		// default constructor
	~CError ();					// default destructor

	ProcessError (DWORD);		// processes an error

};


////////////////////////////////////////////////////////////////////////////////
//	Global variables
////////////////////////////////////////////////////////////////////////////////
extern	CError			ErrorHandling;


////////////////////////////////////////////////////////////////////////////////
//	Function prototypes
////////////////////////////////////////////////////////////////////////////////


#endif